CREATE TABLE hrc_subscription_queue (
    RUN_MSG_ID               NUMBER(18, 0) ,
    RUN_ID                   NUMBER(18, 0) ,
    ENTRY_ID                 VARCHAR2(200)     NOT NULL,
    PARENT_MSG_ID            NUMBER(18, 0) ,
    MSG_REF_TYPE             VARCHAR2(120) ,
    MSG_REF_KEY              VARCHAR2(4000),
    UPDATED                  TIMESTAMP(6)      NOT NULL,
    PUBLISHED                TIMESTAMP(6)      NOT NULL,
    QUEUEING_STATUS          VARCHAR2(120) ,
    PROCESSING_STATUS        VARCHAR2(120) ,
    STATUS_DETAILS           VARCHAR2(4000),
    NO_OF_RETRIES            NUMBER(2, 0)  ,
    NEXT_RETRY_TIME          TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    RUN_MSG_ID               NUMBER(18, 0) ,
    RUN_ID                   NUMBER(18, 0) ,
    ENTRY_ID                 VARCHAR2(200)     NOT NULL,
    UPDATED                  TIMESTAMP(6)      NOT NULL,
    PUBLISHED                TIMESTAMP(6)      NOT NULL,
    QUEUEING_STATUS          VARCHAR2(120) ,
    PROCESSING_STATUS        VARCHAR2(120) ,
    STATUS_DETAILS           VARCHAR2(4000),
    NO_OF_RETRIES            NUMBER(2, 0)  ,
    NEXT_RETRY_TIME          TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    PARENT_MSG_ID            NUMBER(18, 0) ,
    MSG_REF_TYPE             VARCHAR2(120) ,
    MSG_REF_KEY              VARCHAR2(4000),
    CONSTRAINT pk_hrc_subscription_queue PRIMARY KEY (RUN_MSG_ID, RUN_MSG_ID)
);
